From 73fb4b74adee8f861c120f2825f23957d482f997 Mon Sep 17 00:00:00 2001
From: Tomas Vondra <tomas@2ndquadrant.com>
Date: Mon, 17 Jun 2024 17:23:54 +0200
Subject: [PATCH v20240617 56/56] pgindent

---
 src/backend/optimizer/path/clausesel.c | 10 +++++-----
 src/include/statistics/statistics.h    |  6 +++---
 src/include/utils/selfuncs.h           | 14 +++++++-------
 3 files changed, 15 insertions(+), 15 deletions(-)

diff --git a/src/backend/optimizer/path/clausesel.c b/src/backend/optimizer/path/clausesel.c
index 6765b97afde..abc4815967d 100644
--- a/src/backend/optimizer/path/clausesel.c
+++ b/src/backend/optimizer/path/clausesel.c
@@ -223,9 +223,9 @@ clauselist_selectivity_ext(PlannerInfo *root,
 	 * to detect when this makes sense, but we can check that there are join
 	 * clauses, and that at least some of the rels have stats.
 	 *
-	 * rel != NULL can't guarantee the clause is not a join clause, for example
-	 * t1 left join t2 ON t1.a = 3, but it can guarantee we can't use extended
-	 * statistics for estimation since it has only 1 relid.
+	 * rel != NULL can't guarantee the clause is not a join clause, for
+	 * example t1 left join t2 ON t1.a = 3, but it can guarantee we can't use
+	 * extended statistics for estimation since it has only 1 relid.
 	 *
 	 * XXX Is that actually behaving like that? Won't the (t1.a=3) be turned
 	 * into a regular clause? I haven't tried, though.
@@ -245,8 +245,8 @@ clauselist_selectivity_ext(PlannerInfo *root,
 	 * XXX Same thing for the joinType removal, I guess.
 	 *
 	 * XXX Isn't this broken if the hook estimates some of the clauses? We've
-	 * removed the bitmap from statext_try_join_estimates() on the grounds that
-	 * it's always NULL, but with the hook that's no longer the case.
+	 * removed the bitmap from statext_try_join_estimates() on the grounds
+	 * that it's always NULL, but with the hook that's no longer the case.
 	 */
 	if (use_extended_stats && rel == NULL &&
 		statext_try_join_estimates(root, clauses, varRelid, jointype, sjinfo))
diff --git a/src/include/statistics/statistics.h b/src/include/statistics/statistics.h
index 7b6cadc4daa..a2e49b4080e 100644
--- a/src/include/statistics/statistics.h
+++ b/src/include/statistics/statistics.h
@@ -109,9 +109,9 @@ extern Selectivity statext_mcv_clauselist_selectivity(PlannerInfo *root,
 													  int varRelid,
 													  JoinType jointype,
 													  SpecialJoinInfo *sjinfo,
-													   RelOptInfo *rel,
-													   Bitmapset **estimatedclauses,
-													   bool is_or);
+													  RelOptInfo *rel,
+													  Bitmapset **estimatedclauses,
+													  bool is_or);
 extern Selectivity dependencies_clauselist_selectivity(PlannerInfo *root,
 													   List *clauses,
 													   int varRelid,
diff --git a/src/include/utils/selfuncs.h b/src/include/utils/selfuncs.h
index 253f584c659..f2ad70743b5 100644
--- a/src/include/utils/selfuncs.h
+++ b/src/include/utils/selfuncs.h
@@ -150,13 +150,13 @@ extern PGDLLIMPORT get_index_stats_hook_type get_index_stats_hook;
 
 /* Hooks for plugins to get control when we ask for selectivity estimation */
 typedef Selectivity (*clauselist_selectivity_hook_type) (
-												PlannerInfo *root,
-												List *clauses,
-												int varRelid,
-												JoinType jointype,
-												SpecialJoinInfo *sjinfo,
-												Bitmapset **estimatedclauses,
-												bool use_extended_stats);
+														 PlannerInfo *root,
+														 List *clauses,
+														 int varRelid,
+														 JoinType jointype,
+														 SpecialJoinInfo *sjinfo,
+														 Bitmapset **estimatedclauses,
+														 bool use_extended_stats);
 extern PGDLLIMPORT clauselist_selectivity_hook_type clauselist_selectivity_hook;
 
 /* Functions in selfuncs.c */
-- 
2.45.2

